<?php

    namespace TamerLib\Enums;

    final class JobStatus
    {
        /**
         * The Job is waiting to be picked up by a worker.
         * Processing Mode
         */
        public const WAITING = 10;

        /**
         * The Job is currently being processed by a worker.
         * Processing Mode
         */
        public const PROCESSING = 20;

        /**
         * The Job has been finished by a worker.
         * Finished Mode
         */
        public const FINISHED = 30;

        /**
         * The Job has failed to be processed by a worker.
         * Finished Mode
         */
        public const FAILED = 40;
    }