<?php

    namespace TamerLib\Exceptions;

    use Exception;
    use Throwable;

    class TamerException extends Exception
    {
        /**
         * @param string $message
         * @param Throwable|null $previous
         */
        public function __construct(string $message = "", ?Throwable $previous = null)
        {
            parent::__construct($message, ($previous ? $previous->getCode() : 0), $previous);
        }
    }